Subject: Pine weirdness

From: [email-masked] (Dean Pentcheff)
Date: Mon, 11 Oct 93 12:20:36 EDT

Looking for help in (I hope) the right place...

I've got a bizarre problem with the new(er) versions of Pine.  It
cropped up with both post-3.07 versions I've tried (most recently with
3.87), so I've reverted to 3.07 (which works fine).

My system is a Sun IPC running SunOS 4.1.1.  I compiled using gcc 2.3.3
(by changing the CC=cc to CC=gcc in the build script).  It makes no
difference whether the DEBUG option is used or disabled.

I compile pine, install it, and change its permissions and ownership to:

-rwxr-xr-x  1 root     staff     2187264 Oct 10 17:18 /usr/local/bin/pine

When I run it, all is well.  Fine.  But if any other user tries it, it
fails.  For example, the user "server" tries it (in real life this is a
pseudo-user for a mailing list manager):

    [tbone]% pine

    Bug in Pine detected: "Received abort signal".
    Exiting pine.
    Arithmetic exception
    [tbone]% 

The debug file produced is appended at the end.  Any ideas on what's up?

Thanks!

-Dean
--
N. Dean Pentcheff 
Biological Sciences, Univ. of South Carolina, Columbia SC 29208 (803-777-8998)
Internet addresses: [email-masked] or [email-masked]

===== Sample DEBUG File =====
Debug output of the Pine program (at debug level 2).  Version 3.87
Sun Oct 10 17:23:17 1993

reading_pinerc "/usr/local/lib/pine.conf"
Read 6080 characters
pinerc : /usr/local/l :   folder-collections : "Mail Mail"
pinerc : /usr/local/l :          default-fcc : "outgoing"
pinerc : /usr/local/l :       mail-directory : "Mail"
pinerc : /usr/local/l :         feature-list : "old-growth"
pinerc : /usr/local/l :               editor : "vi"
pinerc : /usr/local/l :         image-viewer : "echo 'Click right mouse button on image for image menu' ; xv"
pinerc : /usr/local/l :        bugs-nickname : "mail-bugs"
pinerc : /usr/local/l :        bugs-fullname : "For any mail system problems"
pinerc : /usr/local/l :         bugs-address : "[email-masked]"
reading_pinerc "/home/server/.pinerc"
Read 7772 characters
pinerc : /home/server :    last-version-used : "3.87"
    personal-name :            <unset>            <unset>            <unset>
          user-id :            <unset>            <unset>            <unset>
      user-domain :            <unset>            <unset>            <unset>
      smtp-server :            <unset>            <unset>            <unset>
       inbox-path :            <unset>              inbox              inbox
 incoming-folders :            <unset>            <unset>            <unset>
folder-collection :            <unset>          Mail Mail          Mail Mail
 news-collections :            <unset>            <unset>            <unset>
      default-fcc :            <unset>           outgoing           outgoing
   mail-directory :            <unset>               Mail               Mail
read-message-fold :            <unset>            <unset>            <unset>
   signature-file :            <unset>         .signature         .signature
     address-book :            <unset>       .addressbook       .addressbook
     feature-list :            <unset>         old-growth         old-growth
initial-keystroke :            <unset>            <unset>            <unset>
saved-msg-name-ru :            <unset>     default-folder     default-folder
         sort-key :            <unset>            arrival            arrival
    character-set :            <unset>            <unset>            <unset>
           editor :            <unset>                 vi                 vi
     image-viewer :            <unset> echo 'Click right  echo 'Click right 
use-only-domain-n :            <unset>                 no                 no
          printer :            <unset>   attached-to-ansi   attached-to-ansi
personal-print-co :            <unset>            <unset>            <unset>
 standard-printer :            <unset>                lpr                lpr
last-time-prune-q :            <unset>            <unset>            <unset>
last-version-used :               3.87            <unset>               3.87
    bugs-nickname :            <unset>          mail-bugs          mail-bugs
    bugs-fullname :            <unset> For any mail syste For any mail syste
     bugs-address :            <unset> [email-masked] [email-masked]
   elm-style-save :            <unset>                 no                 no
  header-in-reply :            <unset>                 no                 no
    feature-level :            <unset>            sapling            sapling
  old-style-reply :            <unset>                 no                 no
     compose-mime :            <unset>            <unset>            <unset>
show-all-characte :            <unset>            <unset>            <unset>
   save-by-sender :            <unset>                 no                 no
Userid: server
Fullname: "Listserv Server"
User domain name being used ""
Local Domain name being used "biol.scarolina.edu"
Host name being used "tbone.biol.scarolina.edu"
Mail Domain name being used "tbone.biol.scarolina.edu"
new win size -----<38 80>------
Terminal type: xterm
About to open folder "INBOX"    inbox: "INBOX"
about to end_tty_driver
Pine Panic: Received abort signal